Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Litchi version 2.4 and sdk 2.4

Discussion in 'Pro/Adv Discussion' started by louforgiveno, Oct 13, 2015.

Tags:
  1. louforgiveno

    Joined:
    Jan 16, 2015
    Messages:
    644
    Likes Received:
    251
    I have litchi and firmware 1.04 and have always updated litchi up till the 2.4.x versions came out with a changelog that mentions new imposed limits. My question is if i update to the latest litchi are the limits included or are they just prepared for the next firmware 1.05?
    i don't want to loose any abilities i have currently. Thanks for any clarification.
     
  2. Kaehn

    Joined:
    Mar 8, 2015
    Messages:
    405
    Likes Received:
    183
    Yes, there is only one limit, the 500m altitude limit.
     
    louforgiveno likes this.
  3. Prometheus_Xex

    Joined:
    Jun 7, 2015
    Messages:
    96
    Likes Received:
    21
    Location:
    Ontario, Canada
    500m? ****... I wanted 600m for one mission.
     
  4. Chris Vedeler

    Joined:
    Jun 9, 2015
    Messages:
    310
    Likes Received:
    196
    Location:
    Scottsdale, Arizona USA
    I'm not upgrading past 2.3.1 because of this. The main reason I use Litchi is to go past the 500m limit.
     
    louforgiveno and Prometheus_Xex like this.
  5. louforgiveno

    Joined:
    Jan 16, 2015
    Messages:
    644
    Likes Received:
    251
    Yeah....I'm sticking at 2.3.x for now.
    So to be clear the 2.4 sdk resides in the 1.0.4 firmware? But is not active with the litchi versions 2.3.x and below?
     
  6. Chris Vedeler

    Joined:
    Jun 9, 2015
    Messages:
    310
    Likes Received:
    196
    Location:
    Scottsdale, Arizona USA
    My understanding is that the sdk is in the app. The 1.0.5 firmware requires the 2.4 sdk, and / or the 1.0.5 firmware breaks the going over 500 meter ability. Either way, I can do all the types of flying I want with the older version.
     
    louforgiveno likes this.
  7. peilerwen

    Joined:
    Oct 26, 2015
    Messages:
    2
    Likes Received:
    0
    I am sorry if I double-post but I just could NOT find the exact answer I need anywhere (all links are also welcome...)
    I have the newest DJI firmware (1.4010 I think) for the P3 and the RC and I also have the newest Litchi version (2.4..?). One resaon to pay for an additional software was the pre flight waypoint planning (perfect), the other the altitude un-restriction. Now I've learned that this combination again HAS the limit 500m.
    Nobody so far could answer me the following question: if I want to keep the new(est) DJI firmware update, could I somehow go back to an older (2.3.1.b?) Litchi Version AND use it both together?
    If YES, where/how do I get it (I can always only find the latest version) and is it even possible to install it (parallel or alternative to the newest version on my pad.
    Has anybody fist-hand-experience with this situation?

    Thanks a lot for ANY help!

    Carsten
     
  8. Viejoperro

    Joined:
    Jul 12, 2015
    Messages:
    50
    Likes Received:
    6
    Location:
    Chile
    My litchi app updated itself because I didn't switch auto update on Google play to off. I have tried to downgrade to the previous 2.2 litchi vs, but can find one. There was a link in warez I guess but it didn't work. I think the only way is to have litchi developer to have the 2.2 version available as a choice, but I think he work over the old version. 500 limit is a sdk impose. Still is a great app, used all the time instead of GO
     
  9. Chris Vedeler

    Joined:
    Jun 9, 2015
    Messages:
    310
    Likes Received:
    196
    Location:
    Scottsdale, Arizona USA
    Litchi 2.3.1 is the last version that did not have the 500 meter limit. DJI Firmware 1.4.01 is the last version that did not hard impose the 500 meter limit. Needless to say, these are the versions I run.

    You may be able to download Litchi 2.3.1 here:
    Google Drive - Virus scan warning
     
    Prometheus_Xex likes this.
  10. peilerwen

    Joined:
    Oct 26, 2015
    Messages:
    2
    Likes Received:
    0
    Thank you SO much, Chris - I really could not find it anywhere else.

    I will try out to (re)install) it today....

    Carsten
     
  11. Viejoperro

    Joined:
    Jul 12, 2015
    Messages:
    50
    Likes Received:
    6
    Location:
    Chile
    Me to, thank Chris for the 2.3.1
     
  12. Tdeath

    Joined:
    Aug 28, 2015
    Messages:
    38
    Likes Received:
    6
    Hi there, i know this is an old thread, is there anyway to post litchi 2.3.1 again please ?

    Thanks